#include "SpellsParser.h"
#include <QFile>
#include <QDomDocument>

QVector<Spell> SpellsParser::parse(QString fileName)
{
    QFile file(fileName);
    file.open(QIODevice::ReadOnly);
    QDomDocument sourceDoc;
    sourceDoc.setContent(&file);

    QDomElement spell = sourceDoc.elementsByTagName("spells").at(0).firstChildElement();
    QVector<Spell> spells;
    while(!spell.isNull())
    {
        spells.append(Spell(spell));
        spell = spell.nextSiblingElement();
    }
    return spells;
}
